#! /bin/bash
#
# script to install configuration files
#
# sysconfdir is set from the configure flags, or set by default to /etc

WORKDIR=$(dirname $installDir)/config_files
SBINCOMMANDS="dropbear dropbearkey dropbearconvert"
BINCOMMANDS="dbclient ssh scp"
systemd_unitdir=${base_libdir}/systemd

log_exec install -d ${D}${sysconfdir}/
log_exec install -d ${D}${sysconfdir}/init.d
log_exec install -d ${D}${sysconfdir}/dropbear
log_exec install -d ${D}${sysconfdir}/default
log_exec install -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/S50dropbear

# Create empty file to avoid removing the folders when splitting the package
log_exec touch ${D}${sysconfdir}/dropbear/empty
log_exec touch ${D}${sysconfdir}/default/empty

if [ "${USE_PAM}" = "yes" ]; then
	log_exec install -d ${D}${sysconfdir}/pam.d
	log_exec install -m 0644 ${WORKDIR}/dropbear  ${D}${sysconfdir}/pam.d/
fi

# Deal with systemd unit files
if [ "${USE_SYSTEMD}" = "yes" ]; then
	log_exec install -d ${D}${systemd_unitdir}/system
	log_exec install -m 0644 ${WORKDIR}/dropbearkey.service ${D}${systemd_unitdir}/system
	log_exec install -m 0644 ${WORKDIR}/dropbear@.service ${D}${systemd_unitdir}/system
	log_exec install -m 0644 ${WORKDIR}/dropbear.socket ${D}${systemd_unitdir}/system
	sed -i -e "s,@BASE_BINDIR@,${base_bindir},g" \
		-e "s,@BINDIR@,${bindir},g" \
		-e "s,@SBINDIR@,${sbindir},g" \
		${D}${systemd_unitdir}/system/dropbear.socket ${D}${systemd_unitdir}/system/*.service
fi