# !/bin/bash
# Import the cross-gcc script from the current scripts set

cross_gcc=$(search_script cross-gcc)
if [ -z "$cross_gcc" -a ! -r cross-gcc ]; then
	fatal 1 "No cross-gcc script, neither from buildstep resources nor from generic scripts"
fi

# If the recipe provides a cross-gcc script, use it, otherwise get the most recent script provided by the framework
if [ ! -r "$recipe_metadatadir/resources/cross-gcc" ]; then
	if [ -n "$cross_gcc" -a -r "$cross_gcc" -a "$cross_gcc" -nt cross-gcc ]; then
		log_exec cp $cross_gcc cross-gcc
	fi
fi
